/*Sommaire : 
1er partie: composant
2ème partie: position générale 
3ème partie: position Composant.html
4ème partie: position index.html
5ème partie: position Formulairedelocation.html
6ème partie: media queries
*/
*{
    margin : 0;
    padding: 0;
}
/*les couleurs */
body{
    --primary-0: #FFFFFF;
    --primary-100: #D6E4FD;
    --primary-500:#3563E9;
    --primary-600:#264BC8;
    --primary-700:#1A37A7;
    --secondary-100: #E0E9F4;
    --secondary-300:#90A3BF;
    --secondary-400:#596780;
    --secondary-500:#1A202C;

    background-color: #F6F7F9;
}
/*bannière*/
header{
    background : var(--primary-0);
    border : 1px solid rgba(195, 212, 233, 0.4);
    padding : 40px 60px;
    max-width: 100%;
}

/*pour présenter dans composant.html les couleurs*/
.x-couleur {
    width: 50px;
    height: 50px;
    border-radius: 100%;
}
.white{
    background-color: var(--primary-0);
}
.white-100{
    background-color: var(--primary-100);
}
.blue{
    background-color: var(--primary-500);
}
.blue-600{
    background-color: var(--primary-600);
}
.blue-700{
    background-color: var(--primary-700);
}
.x-secondary-100{
    background-color: var(--secondary-100);
}
.x-secondary-300{
    background-color: var(--secondary-300);
}
.darkgrey{
    background-color:var(--secondary-400);
}
.black{
    background-color: var(--secondary-500);
}
/*j'ai séparer les Catalogitems de page d'acceuil et de formulaire de location pour ajouter des caractéristiques spécifiques
Catalogitem qui est le fond de couleur*/
.Catalogitem{
    background: var(--primary-0);
    border-radius: 10px;
    width: 300px;
    padding : 24px;
}

.Catalogitem1{
    background: var(--primary-0);
    border-radius: 10px;
    padding : 24px; 
}

.Catalogitem2{
    background: var(--secondary-100);
    border-radius: 10px;
    padding : 24px;
}


.boutonex1,/*boutons exemples de la page composants*/
.boutonex2,
.boutonex3,
.boutonex4,
.boutonex5,
.bouton{/*bouton bleu de la page d'accueil*/
    padding: 9px 16px;/*padding du bouton bleu de la page d'acceuil*/
    color: var(--primary-0);
    justify-content: center;
    align-items: center;
    gap: 10px;
    background: var(--primary-500);
    border-radius: 4px;
    border: 1px solid var(--primary-500);
}
.bouton1ex1,/*exemple du bouton dans la page composants*/
.bouton1ex2,
.bouton1ex3,
.bouton1ex4,
.bouton1ex5,
.bouton1{/*bouton bleu de la page formulaire de location*/
    padding: 13px 24px;/*padding du bouton bleu du formulaire de location*/
    color: var(--primary-0);
    justify-content: center;
    align-items: center;
    gap: 10px;
    background: var(--primary-500);
    border-radius: 4px;
    border: 1px solid var(--primary-500);
    
}
/*état du bouton bleu de la page d'accueil, .boutonex sont des exemples pour Composant.html*/
.bouton1ex1,
.bouton1:enabled,/*style du bouton bleu du formulaire de location état enabled*/
.boutonex1,
.bouton:enabled{
    cursor: pointer
}

/*état du bouton survoler*/
.bouton1ex2,
.bouton1:hover,
.boutonex2,
.bouton:hover{
    background: var(--primary-600);
    cursor: pointer
}

/*état du bouton pressé*/
.bouton1ex3,
.bouton1:active,
.boutonex3,
.bouton:active{
    background: var(--primary-700);
    cursor: pointer
}

/*état du bouton quand curseur focus sur bouton*/
.bouton1ex4,
.bouton1:focus,
.boutonex4,
.bouton:focus{
    border: 1px solid var(--primary-100);
    cursor: pointer
}

/*état du bouton quand il est désactivé*/
.bouton1ex5,
.bouton1:disabled,
.boutonex5,
.bouton:disabled{
    opacity: 0.4;
    cursor:default
}

/*style bouton blanc de la page du formulaire de location*/
.bouton2ex1,
.bouton2ex2,
.bouton2ex3,
.bouton2ex4,
.bouton2ex5,
.bouton2{
    justify-content: center;
    align-items: center;
    padding: 9px 16px;
    background: var(--primary-0);
    border-radius: 4px;
    border: 1px solid var(--secondary-300);
    color: var(--secondary-400);
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 150%;
    text-align: center;
    letter-spacing: -0.02em;  
}
/*état du bouton2 activé*/
.bouton2ex1,
.bouton2:enabled{
    cursor: pointer
}
/*état du bouton2 survoler*/
.bouton2ex2,
.bouton2:hover{
    border: 1px solid var(--secondary-400);
    cursor: pointer;
}

/*état du bouton2 pressé*/
.bouton2ex3,
.bouton2:active{
    color : var(--secondary-300);
    background: var(--primary-100);
    cursor:pointer
} 
/*état du bouton quand curseur focus sur bouton*/
.bouton2ex4,
.bouton2:focus{
    border: 1px solid var(--primary-100);
    cursor:pointer
}
/*état du bouton2 quand il est désactivé*/
.bouton2ex5,
.bouton2:disabled{
    border : 1px solid var(--primary-100);
    opacity: 0.4;
    cursor:default
}

/*style pour les champs de texte*/
.inputtext1{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 16px 32px;
    gap: 10px;    
    width: 444px;
    background: var(--primary-0);
    border: 1px solid var(--secondary-400);
    border-radius: 10px;
}
.inputtext{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 16px 32px;
    gap: 10px; 
    width: 386px;
    background: var(--primary-0);
    border: 1px solid var(--secondary-400);
    border-radius: 10px;
}
/*style texte dans champ de texte et petit texte*/
.littletext1,
.inputtext1::placeholder,
.inputtext::placeholder{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.02em;
    color: var(--secondary-300);
}

/*style champ de texte dans les boites avec un fond grisée*/
.inputtext_morelittle{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    padding: 16px 32px;
    gap: 10px; 
    width: 362px;
    background: var(--primary-0);
    border: 1px solid var(--secondary-400);
    border-radius: 10px;
}

.inputcolor:not(:placeholder-shown):valid{
    background-color: #C7FEC6;
}


/*style pour liste déroulante*/
.city-selection{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    width: 386px;
    height: 53px;
    padding: 16px 32px;
    gap: 13px;
    background: var(--primary-0);
    border: 1px solid var(--secondary-400);
    border-radius: 10px;
}
/*style pour case check*/
.confirmation{
    left: 8.33%;
    right: 8.33%;
    top: 8.33%;
    bottom: 8.33%;
    border: 1.5px solid var(--secondary-300);
}

/*style pour confirmation avec radio bouton*/
.confirmation2{
    left: 7.54%;
    right: 9.13%;
    top: 7.79%;
    bottom: 8.87%;
    background: var(--primary-0);
    border: 1.5px solid var(--secondary-300);
}
/*Code pour les styles textes*/
.Logo{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.03em;
    color: var(--primary-500);
}
.TitleGrey{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.03em;
    color: var(--secondary-300); 
}
.Text1{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.02em;
    color: var(--secondary-300);
}
.Bigtitle{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.03em;
    color: var(--secondary-500);
}
.Bigtitleprice{
    font-family: 'Plus Jakarta Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.03em;
    color: var(--secondary-500);
}
.Text2_1{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.02em;
    color: var(--secondary-500);
}
.Text2{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.02em;
    color: var(--secondary-500);
}
.Bigtext{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 150%;
    display: flex;
    align-items: center;
    letter-spacing: -0.03em;
    color: var(--secondary-500);
}


/*Position*/
.componants{
    display : flex;
    flex-direction: column;
    margin : 34px 64px 24px;
    gap : 42px
}
.contents{
    display: flex;
    flex-wrap: wrap;
    gap : 32px;
}

.Globalcatalogitem{
    display: flex;
    flex-direction: row;
}
.Titleposition{
    align-items: center;
    padding : 24px 24px;
}
.couleurstotal{
    display : flex;
    flex-direction: row;
    gap : 5px;
    margin : 25px 0px;
}
.Globalcatalogitem1{
    display: flex;
    flex-direction: row;
    gap: 20px
}
.Buttons{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 25px 0px;
    align-items: center;
}
.Buttons_row{
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.Input{
    display: flex;
    flex-direction: row;
    gap: 50px;
    margin: 20px;
    align-items: center;
}

.Text{
    display: flex;
    flex-direction: row;
    margin : 25px 0px;
    gap: 25px
}

.Input_center{
    display: flex;
    justify-content: center;
}
/*Code pour les positions des éléments spécifiques à PageDAccueil.html*/
.Position_center{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.Car_favorite_recommend{
    display: flex;
    flex-direction: column;
    gap: 42px;
}
.car{
    margin : 50px 0px;
}
.items{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.item{
    display: flex;
    flex-direction: row;
    gap: 6px
}
.actions{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin : 24px 0px 0px 0px;
    gap: 105px;
}
.price{
    display: flex;
    flex-direction: row;
    gap: 4px
}

/*Code pour les positions des éléments spécifiques à FormulaireDeLocation.html*/
.Globalcatalogitem_reverse{
    display: flex;
    flex-direction: row;
    margin : 32px;
    gap : 32px;
    align-items: flex-start;
}
/*code qui applique 32px entre les Catalog Items du premier enfant de Globalcatalogitem_reverse*/
.Catalogitems_rev_space{
    display: flex;
    flex-direction: column;
    gap: 32px
}
.Position_car_check{
    display: flex;
    flex-direction: row;
} 
.Position_rolumn{
    display: flex;
    flex-direction: row;
}
.space_row{
    gap: 32px
}
.place_location{
    display :flex;
    flex-direction: wrap;
}
.marg_button2{
    margin: 12px 0px 0px 0px;
}
.marg_car{
    margin: 0px 16px
}
/*écart entre les checkbox et les radio button et les labels*/
/*finir de poser les space*/ 
.space_check{
    gap: 20px
}
.space_column{
    display: flex;
    flex-direction: column;
    gap:  24px
}
.space_column_CI2{
    display: flex;
    flex-direction: column;
    gap:  27px
}

.space_big_element{
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.Position_column{
    display: flex;
    flex-direction: column;
    gap: 16px
}
.Positionspacebetween{
    display: flex;
    justify-content: space-between;
}

/*permet d'éloigner le composant bouton des autres*/
.marg_button{
    margin: 109px 0px 0px 0px;
}

/*code css utiliser par la fonction ShowElements()*/
.Information_carte_off{
    display: none;
}

.Information_carte_on{
    display: block;
}

/*changement de l'emplacement de certains composants pour bien l'adapter a le version téléphone*/
@media (max-width: 800px) {
    /*changements appliqués dans index.html*/
    .componants{
        margin: 32px 24px 24px
    }
    .contents{
        display: flex;
        flex-direction: column;
    }
    .Catalogitem{
        width: auto
    }
    .car{
        width: 160px;
        height: 64px;
        margin: 17px 0px 48px;
        
    }
    .Position_turn{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }
    .items{
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    /*changements appliquées dans le formulaire de location*/
    .Globalcatalogitem_reverse{
        display: flex;
        flex-direction: column-reverse;
        margin: 14px 24px;
    }
    .Catalogitem1{
        padding: 24px 16px;
        width: 300px;
    }
    .Catalogitem2{
        padding : 16px;
    }
    .Position_rolumn{
        display: flex;
        flex-direction: column;
    }
    .inputtext1{
        padding: 18px 24px;
        gap: 10px;    
        width: 294px;
        height: 53px;
    }
    .inputtext{
        padding: 18px 24px;
        gap: 10px;
        width: 295px;
        height: 54px;
    }
    .inputtext_morelittle{
        padding: 18px 24px;
        gap: 10px; 
        width: 263px;
        height: 54px;
    }
    .city-selection{
        width: 295px;
        height: 60px;
        padding: 18px 24px;
    }
    .Bigtitle{
        font-size: 20px;
    }
    #CatalogAccept{
        background: var(--secondary-100);
        border-radius: 10px;
        padding : 24px
    }
}